var System=require("../../system");
var settings=require("../../../config/settings");
const CtlBase = require("../ctl.base");
const uuidv4 = require('uuid/v4');

class TmInfoPusherCtl {
    constructor(){
        
        // super(CtlBase.getServiceName(TmkCtl));
        // this.service=System.getObject("service.tmkSve");
        this.TmInfoPusherApi=System.getObject("api.tmInfoPusherApi");
    }

    async pushInfo(obj, req){
        console.log('接收到请求');

        let result = await this.TmInfoPusherApi.collectInfo();
        console.log('接口返回数据', result);
        return result;

    }

}

module.exports = TmInfoPusherCtl;
